Package network.protocol

# Enum Class Packets

java.lang.Object
java.lang.Enum<Packets>
network.protocol.Packets

All Implemented Interfaces:
  `Serializable`, `Comparable<Packets>`, `Constable`

public enum Packets extends Enum<Packets>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ChangeCell`
  `ConnectionInfo`
  `Disconnect`
  `EndGame`
  `KeepAlive`
  `Login`
  `PlayerJoin`
  `PlayerLeave`
  `StartGame`
  `UpdatePlayerScore`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Packets`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Packets[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ConnectionInfo

    public static final Packets ConnectionInfo

  - ### KeepAlive

    public static final Packets KeepAlive

  - ### Disconnect

    public static final Packets Disconnect

  - ### Login

    public static final Packets Login

  - ### PlayerJoin

    public static final Packets PlayerJoin

  - ### PlayerLeave

    public static final Packets PlayerLeave

  - ### StartGame

    public static final Packets StartGame

  - ### ChangeCell

    public static final Packets ChangeCell

  - ### EndGame

    public static final Packets EndGame

  - ### UpdatePlayerScore

    public static final Packets UpdatePlayerScore

- ## Method Details

  - ### values

    public static Packets[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Packets valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null